import { world } from "@minecraft/server";
export const config = {
    prefix: '?',
    staffTag: 'lifesteal-opped'
};
export const colorCodesHelpPage = {
    color1: `§a`,
    color2: `§q`
};
export function sendPlayerMessage(player, message, removeSpaces = false) {
    if (removeSpaces) {
        player.sendMessage(`${message.replaceAll(/(\r\n|\r|\n)/g, `\n`).replaceAll(/  +/g, ``)}`);
    }
    else {
        player.sendMessage(`${message}`);
    }
}
export function sendAllMessage(message, removeSpaces = false) {
    if (removeSpaces) {
        for (let player of world.getAllPlayers()) {
            player.sendMessage(`${message.replaceAll(/(\r\n|\r|\n)/g, `\n`).replaceAll(/  +/g, ``)}`);
        }
    }
    else {
        for (let player of world.getAllPlayers()) {
            player.sendMessage(`${message}`);
        }
    }
}
