import { Command } from "../../handler";
import { sendPlayerMessage } from "../../../config";
import { lifesteal } from "../../../lifesteal";
new Command({
    name: `heartgl`,
    staffOnly: true,
    code({ player, args }) {
        if (!args[0])
            return sendPlayerMessage(player, `§aHeartGL is set to §f${lifesteal.get(`heartgl`)}`);
        if (isNaN(+args[0]))
            return sendPlayerMessage(player, `§8[§cX§8] §cThats not a number!`);
        if (+args[0] == 0 || +args[0] > 4)
            return sendPlayerMessage(player, `§8[§cX§8] §cYou can only set HeartGL to 1-4`);
        if (+lifesteal.get(`reviveamount`) < +args[0])
            return sendPlayerMessage(player, `§8[§cX§8] §cYou can't set the heartgl lower than the revive amount!`);
        lifesteal.set(`heartgl`, `${args[0]}`);
        sendPlayerMessage(player, `§aSet §fheartGL §ato §f${args[0]}`);
    },
});
