import { Command } from '../../handler';
import { sendPlayerMessage, config } from '../../../config';
import { lifestealLogs } from '../../../lifesteal';
export function logsHelp(player) {
    sendPlayerMessage(player, `§e§lLifesteal Help Page -- Logs§r§6
> See lifesteal logs (When a player gains or loses a heart, when a player uses a command, etc)

> Usage: ${config.prefix}logs

> Examples: [
${config.prefix}logs
]`);
}
new Command({
    name: `logs`,
    staffOnly: true,
    code({ player, args }) {
        sendPlayerMessage(player, `§6Lifesteal Logs:\n(The number before ">" is when it happened)\n${lifestealLogs.join(`\n`)}\n-----\nNote: Logs reset when the world restarts or when it hits 500`);
    }
});
